Bug 1126639 - [abrt] dbus: dbus_realloc(): dbus-daemon killed by SIGSEGV
Summary: [abrt] dbus: dbus_realloc(): dbus-daemon killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dbus
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Colin Walters
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:811572b90d2e444beeed807611f...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 23:12 UTC by Danilo Cestari
Modified: 2015-02-18 11:47 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:47:53 UTC


Attachments (Terms of Use)
File: backtrace (29.85 KB, text/plain)
2014-08-04 23:12 UTC, Danilo Cestari
no flags Details
File: cgroup (154 bytes, text/plain)
2014-08-04 23:12 UTC, Danilo Cestari
no flags Details
File: core_backtrace (6.81 KB, text/plain)
2014-08-04 23:12 UTC, Danilo Cestari
no flags Details
File: dso_list (987 bytes, text/plain)
2014-08-04 23:12 UTC, Danilo Cestari
no flags Details
File: environ (449 bytes, text/plain)
2014-08-04 23:12 UTC, Danilo Cestari
no flags Details
File: exploitable (82 bytes, text/plain)
2014-08-04 23:12 UTC, Danilo Cestari
no flags Details
File: limits (1.29 KB, text/plain)
2014-08-04 23:12 UTC, Danilo Cestari
no flags Details
File: maps (5.45 KB, text/plain)
2014-08-04 23:12 UTC, Danilo Cestari
no flags Details
File: open_fds (4.65 KB, text/plain)
2014-08-04 23:13 UTC, Danilo Cestari
no flags Details
File: proc_pid_status (939 bytes, text/plain)
2014-08-04 23:13 UTC, Danilo Cestari
no flags Details
File: var_log_messages (14.50 KB, text/plain)
2014-08-04 23:13 UTC, Danilo Cestari
no flags Details

Description Danilo Cestari 2014-08-04 23:12:30 UTC
Version-Release number of selected component:
dbus-1.6.12-2.fc19

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /bin/dbus-daemon --fork --print-pid 4 --print-address 6 --session
crash_function: dbus_realloc
executable:     /usr/bin/dbus-daemon
kernel:         3.14.13-100.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 dbus_realloc at dbus-memory.c:677
 #5 reallocate_for_length at dbus-string.c:344
 #6 set_length at dbus-string.c:385
 #7 _dbus_string_lengthen at dbus-string.c:747
 #8 _dbus_read at dbus-sysdeps-unix.c:595
 #9 _dbus_read_socket at dbus-sysdeps-unix.c:216
 #10 read_data_into_auth at dbus-transport-socket.c:255
 #11 do_authentication at dbus-transport-socket.c:447
 #12 socket_handle_watch at dbus-transport-socket.c:921
 #13 _dbus_transport_handle_watch at dbus-transport.c:885

Comment 1 Danilo Cestari 2014-08-04 23:12:37 UTC
Created attachment 924030 [details]
File: backtrace

Comment 2 Danilo Cestari 2014-08-04 23:12:41 UTC
Created attachment 924031 [details]
File: cgroup

Comment 3 Danilo Cestari 2014-08-04 23:12:43 UTC
Created attachment 924032 [details]
File: core_backtrace

Comment 4 Danilo Cestari 2014-08-04 23:12:47 UTC
Created attachment 924033 [details]
File: dso_list

Comment 5 Danilo Cestari 2014-08-04 23:12:49 UTC
Created attachment 924034 [details]
File: environ

Comment 6 Danilo Cestari 2014-08-04 23:12:50 UTC
Created attachment 924035 [details]
File: exploitable

Comment 7 Danilo Cestari 2014-08-04 23:12:53 UTC
Created attachment 924036 [details]
File: limits

Comment 8 Danilo Cestari 2014-08-04 23:12:54 UTC
Created attachment 924037 [details]
File: maps

Comment 9 Danilo Cestari 2014-08-04 23:13:00 UTC
Created attachment 924038 [details]
File: open_fds

Comment 10 Danilo Cestari 2014-08-04 23:13:01 UTC
Created attachment 924039 [details]
File: proc_pid_status

Comment 11 Danilo Cestari 2014-08-04 23:13:06 UTC
Created attachment 924040 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-01-09 21:28:31 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-02-18 11:47:53 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.